Debian Bug report logs - #545046
live-helper: filesystem.squashfs is mode 600 (inaccessible)

version graph

Package: live-helper; Maintainer for live-helper is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Michal Suchanek <michal.suchanek@ruk.cuni.cz>

Date: Fri, 4 Sep 2009 16:45:02 UTC

Severity: normal

Found in version live-helper/1.0.3-2

Fixed in version 1.0.5-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, hramrach@centrum.cz, Debian Live <debian-live@lists.debian.org>:
Bug#545046; Package live-helper. (Fri, 04 Sep 2009 16:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michal Suchanek <michal.suchanek@ruk.cuni.cz>:
New Bug report received and forwarded. Copy sent to hramrach@centrum.cz, Debian Live <debian-live@lists.debian.org>. (Fri, 04 Sep 2009 16:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michal Suchanek <michal.suchanek@ruk.cuni.cz>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-helper: filesystem.squashfs is mode 600 (inaccessible)
Date: Fri, 04 Sep 2009 18:32:33 +0200
Package: live-helper
Version: 1.0.3-2
Severity: normal


Filesystem.squashfs is mode 600 and owned by root which makes it very
hard to use for netbooting. Most server software cannot access the file
due to permissions.

This can be either fixed by patching mksquashfs (or whatever it is
called) or by changing the mode in the build script after the file is
created.


-- Package-specific info:

-- System Information:
Debian Release: 5.0.2
  APT prefers stable
  APT policy: (990, 'stable'), (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.23.3-src (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-helper depends on:
ii  debootstrap                 1.0.10lenny1 Bootstrap a basic Debian system

Versions of packages live-helper recommends:
ii  gettext-base                  0.17-4     GNU Internationalization utilities

Versions of packages live-helper suggests:
ii  dosfstools     3.0.1-1                   utilities for making and checking 
ii  fakeroot       1.11                      Gives a fake root environment
ii  genisoimage    9:1.1.9-1                 Creates ISO-9660 CD-ROM filesystem
ii  grub           0.97-47lenny2             GRand Unified Bootloader (Legacy v
ii  memtest86      3.4-2                     thorough real-mode memory tester
ii  memtest86+     2.01-1.1                  thorough real-mode memory tester
ii  mtools         3.9.11-1                  Tools for manipulating MSDOS files
ii  parted         1.8.8.git.2008.03.24-11.1 The GNU Parted disk partition resi
ii  squashfs-tools 1:3.3-7                   Tool to create and append to squas
ii  syslinux       2:3.71+dfsg-5             utilities for the syslinux bootloa
pn  uuid-runtime   <none>                    (no description available)
pn  win32-loader   <none>                    (no description available)

-- no debconf information




Reply sent to daniel@debian.org:
You have taken responsibility. (Fri, 04 Sep 2009 18:15:11 GMT) Full text and rfc822 format available.

Notification sent to Michal Suchanek <michal.suchanek@ruk.cuni.cz>:
Bug acknowledged by developer. (Fri, 04 Sep 2009 18:15:11 GMT) Full text and rfc822 format available.

Message #10 received at 545046-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Michal Suchanek <michal.suchanek@ruk.cuni.cz>, 545046-done@bugs.debian.org
Subject: Re: Bug#545046: live-helper: filesystem.squashfs is mode 600 (inaccessible)
Date: Fri, 04 Sep 2009 20:09:51 +0200
Version: 1.0.5-1

this has already been fixed with the previous upload, closing.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 03 Oct 2009 07:39:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:06:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.